# Creates a new key

## Create policy key.

> Create policy key.

```json
{"openapi":"3.0.0","info":{"title":"Guardian","version":"3.2.0-rc"},"servers":[{"url":"/api/v1","description":"version 1.0"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"InternalServerErrorDTO":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/profiles/keys":{"post":{"description":"Create policy key.","operationId":"ProfileApi_generateKey","parameters":[],"requestBody":{"required":true,"description":"DID Document and keys.","content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"type":"string"}}}},"401":{"description":"Unauthorized."},"403":{"description":"Forbidden."},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerErrorDTO"}}}}},"summary":"Create policy key.","tags":["profiles"]}}}}
```
